<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="This package aims to provide a series of useful functions to run
             species distribution models and other spatial analyses on the 
             EcoCommons platform">
<title>Functions for the EcoCommons platform • ecocommons</title>
<script src="deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="deps/bootstrap-5.1.3/bootstrap.min.css" rel="stylesheet">
<script src="deps/bootstrap-5.1.3/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="pkgdown.js"></script><meta property="og:title" content="Functions for the EcoCommons platform">
<meta property="og:description" content="This package aims to provide a series of useful functions to run
             species distribution models and other spatial analyses on the 
             EcoCommons platform">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="index.html">ecocommons</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">1.2.3</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto">
<li class="nav-item">
  <a class="nav-link" href="articles/ecocommons.html">Get started</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="reference/index.html">Reference</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="news/index.html">Changelog</a>
</li>
      </ul>
<form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="search.json" id="search-input" placeholder="Search for" autocomplete="off">
</form>

      <ul class="navbar-nav">
<li class="nav-item">
  <a class="external-link nav-link" href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" aria-label="gitlab">
    <span class="fab fa fab fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul>
</div>

    
  </div>
</nav><div class="container template-home">
<div class="row">
  <main id="main" class="col-md-9"><p><img src="reference/figures/EcoCommons_logo.png" align="centre"></p>
<hr>
<p><code>ecocommons</code> is an R interface to run species distribution models hosted by <a href="https://www.ecocommons.org.au/" class="external-link">EcoCommons</a>, a platform for ecological and environmental modelling and analysis.</p>
<p>This R package is optimised for the EcoCommons platform. As such, there are some aspects and functions of the package that may be unclear for users who wish to get started locally. However, we are actively working to improve our workflows and documentation for local use - whether you wish to conduct your own analysis, or repeat experiments that were run on the EcoCommons platform! As such, all feedback is welcome and appreciated!</p>
<p>Please visit our <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/-/wikis/home" class="external-link">GitLab Wiki</a> to read more about the project and how you can get started. There you can also find the example workflows and <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/-/wikis/bioclim-example" class="external-link">Vignettes</a> that we have available (stay tuned - more coming soon!)</p>
<p>If you have any comments, questions or suggestions, feel free to open an issue on GitLab, or get in touch with us: <a href="mailto:contact@ecocommons.org.au" class="email">contact@ecocommons.org.au</a></p>
<p><br></p>
<hr>
<div class="section level1">
<div class="page-header"><h1 id="installation">Installation<a class="anchor" aria-label="anchor" href="#installation"></a>
</h1></div>
<p>To install the package, first install the <code>remotes</code> package:</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu"><a href="https://rdrr.io/r/utils/install.packages.html" class="external-link">install.packages</a></span><span class="op">(</span><span class="st">"remotes"</span><span class="op">)</span></span>
<span><span class="fu"><a href="https://rdrr.io/r/utils/install.packages.html" class="external-link">install.packages</a></span><span class="op">(</span><span class="st">"git2r"</span><span class="op">)</span> <span class="co"># required for remotes::install_git to work</span></span>
<span><span class="fu">install_github</span><span class="op">(</span><span class="st">'johnbaums/rmaxent'</span><span class="op">)</span> <span class="co"># also install this dependency which adds extra functions in Maxent</span></span></code></pre></div>
<p>Then install the <code>ecocommons</code> package via <code>remotes</code> and load it:</p>
<div class="sourceCode" id="cb2"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="fu">remotes</span><span class="fu">::</span><span class="fu"><a href="https://remotes.r-lib.org/reference/install_git.html" class="external-link">install_git</a></span><span class="op">(</span></span>
<span>  <span class="st">"https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons"</span>,</span>
<span>  upgrade <span class="op">=</span> <span class="st">"never"</span><span class="op">)</span> </span>
<span><span class="kw"><a href="https://rdrr.io/r/base/library.html" class="external-link">library</a></span><span class="op">(</span><span class="va"><a href="https://ecocommons-australia.gitlab.io/ecocommons-platform/ecocommons/">ecocommons</a></span><span class="op">)</span></span></code></pre></div>
<p>As the EcoCommons R package uses BIOMOD2, which is heavy in dependencies, the installation can take a while.</p>
<hr>
</div>
<div class="section level1">
<h1 id="usage">Usage<a class="anchor" aria-label="anchor" href="#usage"></a>
</h1>
<p>Please use <code>inst/EcoCommons_source.R</code> as the main script to be followed for all SDM algorithms, except for species traits modelling experiment (<code>EC_modelling_sptraits</code>).</p>
<p>If this is your first time using the package, we recommend checking out the <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/-/wikis/bioclim-example" class="external-link">bioclim example workflow</a> in our Wiki, which uses some example data included with the package.</p>
<p>When running each model, please note that each model requires a <code>.json</code> file to be used as a <code>source_file</code>. Example <code>source_file</code> can be found on <code>test/testthat/input_files</code>. Note that you should change for each new algorithm, with the correct <code>source_file</code> for each model indicated by the suffix.</p>
<p>For example:<br><code>test_constraint_map_ann.json</code> should be used to run the ANN algorithm, whereas <code>test_constraint_map_rf.json</code> should be used to run Random Forest (RF).</p>
<p>For species traits modelling experiment (<code>EC_modelling_sptraits</code>) and secondary experiments that uses existing models as inputs, as Climate Change experiment and Ensemble analysis (identified as <code>EC_projecting</code>), you don’t require the script <code>inst/EcoCommons_source.R</code>. All you need is to load your example file and run the interested function, as:</p>
<div class="sourceCode" id="cb3"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span><span class="va">source_file</span> <span class="op">&lt;-</span> <span class="fu"><a href="reference/EC_read_json.html">EC_read_json</a></span><span class="op">(</span>file<span class="op">=</span> <span class="fu">here</span><span class="fu">::</span><span class="fu"><a href="https://here.r-lib.org//reference/here.html" class="external-link">here</a></span><span class="op">(</span><span class="st">"tests"</span>, <span class="st">"testthat"</span>, <span class="st">"input_files"</span>, <span class="st">"test_ensemble.json"</span><span class="op">)</span><span class="op">)</span></span>
<span></span>
<span><span class="fu"><a href="reference/EC_projecting_ensemble.html">EC_projecting_ensemble</a></span><span class="op">(</span><span class="va">source_file</span><span class="op">)</span></span></code></pre></div>
<hr>
</div>
<div class="section level1">
<h1 id="extra-information">Extra information<a class="anchor" aria-label="anchor" href="#extra-information"></a>
</h1>
<p>All the functions created within EcoCommons start with “EC_“. Each algorithm has its own function, starting with “EC_modelling_“. Secondary experiments start with”EC_projecting_“. Please note that subfunctions that are only used in one function are nested above the main function.</p>
</div>

  </main><aside class="col-md-3"><div class="links">
<h2 data-toc-skip>Links</h2>
<ul class="list-unstyled">
<li><a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" class="external-link">Browse source code</a></li>
</ul>
</div>

<div class="license">
<h2 data-toc-skip>License</h2>
<ul class="list-unstyled">
<li>
<a href="https://opensource.org/licenses/mit-license.php" class="external-link">MIT</a> + file <a href="LICENSE-text.html">LICENSE</a>
</li>
</ul>
</div>


<div class="citation">
<h2 data-toc-skip>Citation</h2>
<ul class="list-unstyled">
<li><a href="authors.html#citation">Citing ecocommons</a></li>
</ul>
</div>

<div class="developers">
<h2 data-toc-skip>Developers</h2>
<ul class="list-unstyled">
<li>EcoCommons Platform <br><small class="roles"> Author, maintainer </small> <a href="https://orcid.org/YOUR-ORCID-ID" target="orcid.widget" aria-label="ORCID" class="external-link"><span class="fab fa-orcid orcid" aria-hidden="true"></span></a> </li>
</ul>
</div>



  </aside>
</div>


    <footer><div class="pkgdown-footer-left">
  <p></p>
<p>Developed by EcoCommons Platform.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p>
<p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.6.</p>
</div>

    </footer>
</div>

  

  

  </body>
</html>
